%define major_version 1.0
%define minor_version 0

Name: redhat-idm-console
Version: %{major_version}.%{minor_version}
Release: 16%{?dist}
Summary: Red Hat Management Console

Group: Applications
License: LGPL
URL: http://directory.fedoraproject.org

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source: %{name}-%{version}.tar.bz2
Requires: idm-console-framework >= 1.1
BuildRequires: ant >= 1.6.2
BuildRequires: ldapjdk >= 4.18
BuildRequires: jss >=  4.2
BuildRequires: idm-console-framework >= 1.1

%description
A Java based remote management console used for Managing Red Hat
Administration Server and Red Hat Directory Server.

%prep
%setup -q
                                                                                
%build
%{ant} \
    -Dlib.dir=%{_libdir} \
    -Dbuilt.dir=`pwd`/built
                                                                                
%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}
install -m777 built/*.jar $RPM_BUILD_ROOT%{_javadir}
install -d $RPM_BUILD_ROOT%{_bindir}
install -m777 built/%{name} $RPM_BUILD_ROOT/%{_bindir}

# create symlinks
pushd $RPM_BUILD_ROOT%{_javadir}
ln -s %{name}-%{version}_en.jar %{name}-%{major_version}_en.jar
ln -s %{name}-%{version}_en.jar %{name}_en.jar
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_javadir}/%{name}-%{version}_en.jar
%{_javadir}/%{name}-%{major_version}_en.jar
%{_javadir}/%{name}_en.jar
%{_bindir}/%{name}

%changelog
* Wed Nov 21 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-16.el5idm
- Moved doc home link into theme jar.

* Fri Nov  2 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-15.el5idm
- Added LD_LIBRARY_PATH to start script.

* Wed Oct 31 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-14.el5idm
- Updated sources.

* Thu Oct 25 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-13.el5idm
- Removed noarch to ensure we find the 64-bit library. 

* Wed Oct 17 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-12.el5idm
- Updated sources to pickup new console start script.

* Tue Oct 16 2007 Margaret Lum <mlum@redhat.com> 1.0.0-11.el5idm
- Update with latest JSS build using 1.4.2.
- Update defattr reference.

* Mon Aug 20 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-9.el5idm
- Updated sources.

* Wed Aug 15 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-8.el5idm
- Added back noarch now that jss package uses an arch independent
  jarfile location.

* Thu Aug  9 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-7.el5idm
- Removed noarch from package to ensure the proper libdir is used.

* Wed Aug  1 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-6.el5idm
- Changed requirement for console framework as well as some
  specfile changes raised from a package audit.

* Tue Jul 31 2007 Margaret Lum <mlum@redhat.com> 1.0.0-5.el5idm
- Use proper paths in IDM RH4 for jss, ldapjdk.

* Tue Jul 31 2007 Margaret Lum <mlum@redhat.com> 1.0.0-4.el5idm
- Use dirsec-jss for IDM RH4.

* Mon Jul 30 2007 Margaret Lum <mlum@redhat.com> 1.0.0-3.el5idm
- Use disttag for IDM RH4.

* Fri Jul 27 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-2
- Modified package name to be less generic.

* Mon Jul 26 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-1
- Initial creation
